爱的初体验 —— Semplice Linux 5
=========================

[Semplice][1] 是一个基于Debian GNU/Linux项目的Linux发行版，基于Debian不稳定分支构建。开发者使用不稳定仓库中的软件包，并通过一个自定义图形界面安装程序将这些软件包加以整合。[项目官网][2]介绍说该Semplice不但支持加密LVM卷，而且整合了Openbox窗口管理器，并始终专注于更加快速、轻便的资源，“简约不简单”。该发行版目前支持32位、64位ISO镜像下载，体积大概620MB左右。

从LiveCD启动后，可以看到一个图形界面窗口，它包括3个标签页，分别用来设置键盘布局、系统语言和所在时区。确认上述设置正确无误后，关闭窗口，就可以看到Openbox界面那明亮的蓝色背景了。在显示器底部我们发现了一个任务切换界面和一个系统托盘。点击鼠标右键可以呼出程序菜单，菜单顶部其中一项就是系统安装程序的入口。

![](http://distrowatch.com/images/screenshots/semplice-5-web.png)
Semplice Linux 5 —— 访问项目官网（截图大小398KB，分辨率1280x960）

Semplice的系统安装程序同样为图形化界面。程序界面友好，引导步骤也比较清晰。首先，程序会让我们确认首选的语言、键盘和时区，然后会询问是否要检测安装程序有无更新，我很负责任的选择了“是”，它竟然真的联网找到了自己的新版本，于是，我又下载更新，安装程序自动重启执行更新（……作者你是话唠吗？）接下来，程序要求我们创建一个用户账户，同时，提供了是否激活root账户的选项。Semplice默认是将第一个用户账户作为sudo管理员同时禁用root账户的。尽管如此，我们仍然可以激活root账户再给它设置一个密码。然后，来到磁盘分区界面，程序自动帮我们完成了一套分区建议，当然，你也可以选择自己手动分区。

这里我发现手动分区会有点尴尬，主要是由于屏幕的布局。另外，我还发现当我尝试建立LVM卷的时候，程序却并不允许，一个对话框会让我输入卷的名称，但是它的“OK”按钮却无法点击，着实让人纳闷。文件系统还是传统的几个，ext2/3/4和ReiserFS，分区之后，它会询问是否要安装GRUB，以上步骤都完成后，最后一步需要我们选择是否开启一些功能与服务，然后就开始正式安装了。安装的同时，安装程序会询问我们是否需要一些额外的工具，例如蓝牙支持、打印机、生产套件、桌面特效、Web应用以及专有软件包，如果你选择需要，程序就会自动将它们拷贝至本地磁盘。整个安装过程只需要几分钟，安装完毕后，需要重启电脑。

除了基本所需的文本编辑器、计算器、图像浏览、文件管理与档案管理外，Semplice Linux发行版还预装了很多有用的软件，例如Chromium浏览器、Claws Mail邮件客户端、XChat IRC以及Pidgin等聊天软件。另外，下载软件有gFTP和uGet，文档处理有GNU Paint、AbiWord、Gnumeric，娱乐播放有MPlayer、Exaile，刻录工具有xfburn，游戏子菜单下还有一个Tetris。

程序菜单中还有许多有用的配置工具，通过这些工具用户可以对网络设置、系统服务、用户账户等进行轻松配置。同时，系统还提供了程序对Openbox窗口管理器进行管理。在Web应用部分，用户可以以最简方式打开一个web浏览器，用来访问Twitter和Facebook。系统还提供了前往Semplice项目官网的快捷方式。通过深度挖掘，我发现Semplice具有一整套完备的多媒体编码解码器和Adobe Flash插件。系统默认采用的是安全shell服务(OpenSSH)。我还发现系统预装了GNU编译工具集。而在内核方面，Semplice采用3.10版本，能够保证以上各个工具软件正常运行。

![](http://distrowatch.com/images/screenshots/semplice-5-apps.png)
Semplice Linux 5 —— 运行各种桌面程序（截图大小241KB，分辨率1280x960）

使用Semplice工作的过程中我也遇到了一些小问题。比如，当我在虚拟终端运行“top”进程监视器的时候，窗口顶端的系统统计信息会无故消失，稍微折腾了一番，我发现原来是因为虚拟终端的颜色配置导致了文字不可见。但是当我修改主题颜色一段时间以后，下一次我再打开一个终端，主题颜色又回到了以前的默认值。如此反复，每次关闭终端后，我的设置总会丢失。丢失设置的另一个表现是，之前安装过程中配置好的一些服务也失效了，包括蓝牙、打印机支持、Web应用和其他一些项目。

当时我告诉安装程序不要安装蓝牙和打印软件，但是后来我在服务管理器里还是看到了它俩在活蹦乱跳地运行着。

第三个奇怪的问题是，当我尝试连接SSH服务的时候，总是被告知连接丢失被重置，很快我发现问题原因是由于系统根本就木有生成OpenSSH所需的主机密钥。当我手动生成这些密钥后，就可以使用安全Shell服务了。

新立德（Synaptic）作为通用软件包管理器负责Semplice发行版软件包的管理与更新。通常功能强大的软件包管理器难以兼顾漂亮的外观，但新立德做到了。它允许用户创建一系列行为动作，并且执行迅速，执行的同时还能显示详细的细节信息。Linux发行版一般会从一些不同的软件仓库获取软件，Semplice默认是从Debian的不稳定分支仓库以及其他一些Semplice的自定义仓库中获取。当我初次安装好Semplice的时候，就有137个更新等着我下载安装，体积总共达到了135MB。一周下来，我总共安装了超过200个更新，体积超过200MB。Semplice不愧是基于Debian的不稳定分支，不但更新速度超快，而且采用的都是快速更新的前沿软件包。

![](http://distrowatch.com/images/screenshots/semplice-5-admin.png)
Semplice Linux 5 —— 管理软件包与服务（截图大小299KB，分辨率1280x960）

我尝试在我的台式机上运行Semplice Linux（CPU双核2.8GHz，内存6G，Radeon显卡，Realtek网卡），然而不管我如何修改内核参数，都无法在实体机上运行，但是在VirtualBox虚拟机上却运行的很好。在VirtualBox里，Semplice启动快速，反应灵敏而且整个测试过程都非常稳定。Semplice所需的配置内存相当低，只需要130MB。

整个Semplice体验过程一个词概括：还行（Okay）。这既不是认可也不是否定。总体上讲，Semplice表现还是不错的，它提供了很多优秀的软件，而且我认为它的安装程序比Debian的要漂亮，至少在桌面系统上如此。Semplice的管理员工具很实用，除此以外，通过访问Debian的软件仓库，它还提供了海量软件包供普通用户选用。该发行版紧跟前沿，不喜欢总是下载更新的用户可能会比较介意，但是同时这也意味着它为我们提供了不断尝试新鲜事物的机会。以上是好的方面。不好的方面，在我测试的过程中也出现了一些问题，例如，安装程序并未采纳我对系统服务的一些配置，我也无法使用加密LVM卷。

还有其他一些小问题，像虚拟终端丢失设置等等。另外，我始终禁不住会想，Semplice为何不用LXDE代替Openbox作为图形接口呢？我并不是对Openbox有什么偏见，但LXDE可以提供更美观、常见的图形接口，特别是对于新手用户，就好像在家里面对自己熟悉的环境一样。另一个问题是，Semplice无法在我的实体机上运行，也许我的情况是个案，反过来可能别人运行不了的系统我的电脑却可以运行，我也并不想以此对Semplice吹毛求疵，但是，其他Debian类的系统例如Ubuntu和Debian版的Mint，都可以在我的机子上流畅运行，因此，当发现Semplice运行不了时候，我当时还是有些惊讶的。最后一个问题，OpenSSH运行时，没有自动生成主机密钥，导致安全Shell连接丢失，虽说手动生成新的主机密钥只是小事一桩，但如果它启动的时候就能自动完成这些工作岂不是更好。

总结一下，对于Semplice，我“爱的初体验”看起来还是比较美好的，它为简约Debian做出了不少改进（至少对于台式机/笔记本用户），默认所选择的软件也都不错。尽管如此，它还是有一些毛边儿略显粗糙。也许这不算什么，因为没有什么能吓住我们Linux系统测试员，但我还是衷心希望不久的将来，Semplice的新版本能改善上面那些问题。

--------------------------------------------------------------------------------

via: http://distrowatch.com/weekly.php?issue=20131007


本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

译者：[tinyeyeser](https://github.com/tinyeyeser) 校对：[wxy](https://github.com/wxy)

[1]:http://distrowatch.com/semplice
[2]:http://semplice-linux.org/